Package org.apache.ignite.marshaller

## Class MarshallersFactoryImpl

- java.lang.Object
- - org.apache.ignite.marshaller.MarshallersFactoryImpl

- All Implemented Interfaces:
    `MarshallersFactory`

      public class MarshallersFactoryImpl
      extends Object
      implements MarshallersFactory

  Marshallers factory implementation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MarshallersFactoryImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JdkMarshaller` | `jdk()`
    `JdkMarshaller` | `jdk​(@Nullable IgnitePredicate<String> clsFilter)`
    `org.apache.ignite.internal.marshaller.optimized.OptimizedMarshaller` | `optimized()`
    `org.apache.ignite.internal.marshaller.optimized.OptimizedMarshaller` | `optimized​(boolean requireSer)` | Creates new marshaller providing whether it should require `Serializable` interface or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarshallersFactoryImpl

          public MarshallersFactoryImpl()

  - ### Method Detail

    - #### jdk

          public JdkMarshaller jdk()

      Specified by:
        `jdk` in interface `MarshallersFactory`
      Returns:
        Default instance of `JdkMarshaller`.

    - #### jdk

          public JdkMarshaller jdk​(@Nullable
                                   @Nullable IgnitePredicate<String> clsFilter)

      Specified by:
        `jdk` in interface `MarshallersFactory`
      Parameters:
        `clsFilter` - Class filter.
      Returns:
        Filtered instance of `JdkMarshaller`.

    - #### optimized

          public org.apache.ignite.internal.marshaller.optimized.OptimizedMarshaller optimized()

      Specified by:
        `optimized` in interface `MarshallersFactory`
      Returns:
        Optimized marshaller instance.

    - #### optimized

          public org.apache.ignite.internal.marshaller.optimized.OptimizedMarshaller optimized​(boolean requireSer)

      Creates new marshaller providing whether it should require `Serializable` interface or not.
      Specified by:
        `optimized` in interface `MarshallersFactory`
      Parameters:
        `requireSer` - Whether to require `Serializable`.
      Returns:
        Optimized marshaller instance.